### Function

# Ggit TreeWalkCallback

#### Declaration

    gint
    (* GgitTreeWalkCallback) (
      const gchar* root,
      const GgitTreeEntry* entry,
      gpointer user_data
    )

#### Description [src]

The type of the callback functions for walking a tree. See ggit_tree_walk().

#### Parameters

`root`

  Type: `const gchar*`

  The current (relative) root of the entry.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`entry`

  Type: `GgitTreeEntry`

  The tree entry.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go for the next entry or a `GgitError` in case there was an error.